%[def] __def_4 butler.
%[def] __def_3 X :- not_richer (X,agatha).
%[def] __def_1 agatha.
%[def] __def_5 X :- hates (agatha,X).
%[def] __def_2 charles.
%[def] __def_6 butler.
__def_4(butler).
__def_3(agatha).
__def_1(agatha).
__def_5(charles).
__def_5(agatha).
__def_2(charles).
__def_6(butler).
in_mansion(charles).
in_mansion(butler).
in_mansion(agatha).
hates(X1,X2) :- __def_1(X1), __def_1(X2).
hates(X1,X2) :- __def_1(X1), __def_2(X2).
hates(X1,X2) :- __def_6(X1), __def_5(X2).
hates(X1,X2) :- __def_4(X1), __def_3(X2).
not_richer(X1,X2) :- __def_1(X1), __def_1(X2).
killed(X1,X2) :- __def_1(X1), __def_1(X2).
